package main

import (
	"cicv-data-closedloop/amd64/dispatch-server/package/entity"
	"encoding/json"
	"fmt"
)

func main() {

	jsonData, _ := json.MarshalIndent(
		&entity.Project{
			ProjectId:          "项目ID",
			AlgorithmObjectKey: "算法在阿里云的存储路径",
			UserId:             "用户ID",
			Parallelism:        10,
			Tasks: []entity.Task{
				{
					Info: entity.TaskInfo{
						ProjectId:   "项目ID",
						TaskId:      "任务ID",
						TaskPath:    "任务结果路径",
						DefaultTime: "最大仿真时间",
					},
					Scenario: entity.TaskScenario{
						ScenarioOsc:  "xosc或xml路径",
						ScenarioOdr:  "xodr路径",
						ScenarioOsgb: "osgb路径",
					},
					Vehicle: entity.TaskVehicle{
						Model: entity.VehicleModel{ModelLabel: "模型标签"},
						Dynamics: entity.VehicleDynamics{
							DynamicsMaxspeed:              0,
							DynamicsEnginepower:           0,
							DynamicsMaxdecel:              0,
							DynamicsMaxsteering:           0,
							DynamicsMass:                  0,
							DynamicsFrontsurfaceeffective: 0,
							DynamicsAirdragcoefficient:    0,
							DynamicsRollingresistance:     0,
							DynamicsWheeldiameter:         0,
							DynamicsWheeldrive:            "",
							DynamicsOverallefficiency:     0,
							DynamicsDistfront:             0,
							DynamicsDistrear:              0,
							DynamicsDistleft:              0,
							DynamicsDistright:             0,
							DynamicsDistheight:            0,
							DynamicsWheelbase:             0,
						},
						Sensors: entity.VehicleSensors{
							Camera: []entity.SensorCamera{
								{},
							},
							OGT: []entity.SensorOgt{
								{
									Sensor:           entity.Sensor{},
									SensorForHLeft:   0,
									SensorForHRight:  0,
									SensorForHTop:    0,
									SensorForHBottom: 0,
									SensorFilter:     "0,5,6",
									SensorDisplay:    false,
									SensorMaxObjects: 0,
									SensorPort:       0,
								}, {
									Sensor:           entity.Sensor{},
									SensorForHLeft:   0,
									SensorForHRight:  0,
									SensorForHTop:    0,
									SensorForHBottom: 0,
									SensorFilter:     "1,2,3,4",
									SensorDisplay:    false,
									SensorMaxObjects: 0,
									SensorPort:       0,
								},
							},
						},
					},
				},
			},
		},
		"", " ",
	)
	fmt.Println(string(jsonData))
}
